Bienvenue! Inscrivez-vous et rejoignez notre communauté :)
  • Login:

Bienvenue sur Forum SIG - Systèmes d'Information Géographique et Géomatique.

Bienvenue sur le forumSIG. S'il s'agit de votre première visite, assurez vous de faire une recherche préalable dans les FAQ SIG. Vous devez vous inscrire avant de pouvoir poster.

Affichage des résultats 1 à 6 sur 6
  1. #1

    Date d'inscription
    avril 2014
    Messages
    3

    Par défaut Problème d'installation

    Bonjour à tous,

    Je n'arrive pas à installer GeoSource.
    Je suis sur un serveur Windows 2008. J'ai installé apache, tomcat 8. J'ai téléchargé le war de GeoSource version 2.9.2.0. J'ai copier-coller le war dans tomcat (/tomcat/webapps). Dans l'interface de gestion des applications de tomcat, j'ai bien GeoSource qui apparaît mais lorsque je veux le démarrer, tomcat me renvoie une erreur :
    ECHEC - L'application pour le chemin de contexte /geosource n'a pas pu être démarrée
    ECHEC - L'exception org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/geosource]] a été rencontrée
    Est-ce que quelqu'un à déjà eu ce problème ?

  2. #2

    Par défaut Re : Problème d'installation

    Même problème sur un serveur Debian avec Tomcat7 et GeoSource 2.9.2 avec seulement :
    ECHEC - L'application pour le chemin de contexte /geosource n'a pas pu être démarrée

  3. #3

    Date d'inscription
    avril 2014
    Messages
    3

    Par défaut Re : Problème d'installation

    La suite des logs ici
    J'ai essayé la version "setup", j'ai un écran gris après "l'installation" du coup, je ne peux pas finaliser l'installation ...

  4. #4

    Date d'inscription
    avril 2014
    Messages
    3

    Par défaut Re : Problème d'installation

    Pour récapituler, j'ai :
    *Installer Tomcat
    *Installer PostGres
    *Créer une base de donnée nommée "geosource"
    *Mis le .war dans le répertoire "webapps" de Tomcat
    *Modifier le fichier config.xml de GeoSource comme ceci :
    <resource enabled="true">
    <name>main-db</name>
    <provider>jeeves.resources.dbms.ApacheDBCPool</provider>
    <config>
    <user>postgres</user>
    <password>motDePasse</password>
    <driver>org.postgresql.Driver</driver>
    <url>jdbc:postgresql://localhost:5432/geosource</url>
    <poolSize>10</poolSize>
    <validationQuery>SELECT 1</validationQuery>
    </config>
    </resource>
    Est-ce que j'ai raté une étape ?

  5. #5

    Par défaut Re: Re : Problème d'installation

    J'ai resolu mon problème en mettant les configs de ma BDD dans le fichier /var/lib/tomcat7/webapps/geosource/WEB-INF/config-overrides-geosource-props.xml

    Celui-ci semble prendre le dessus sur config.xml

  6. #6

    Date d'inscription
    décembre 2014
    Messages
    1

    Par défaut Re : Problème d'installation

    Bonjour,

    Je voudrais installer geosource sur un serveur local d un port que je ne connait pas encore mais bientot.
    En effet, la base de donnees oracle que je vais traiter a migre sur un serveur et je vais devoir faire un geocatalogue en liaison permanente avec cette base. J avais penser a detourner le but de map server au depart et d en faire un geocat integre dans un html mais pourquoi perdre son temps a faire du code pour du code alor qu il existe en oppen source un logiciel qui est "facile" a l utilisation, n est ce-pas? car j ai un public de non initie au joie et au tourment de l informatique.

    Donc je me tourne aujourd hui vers geosource mais la configuration n'est pas evidente. Je ne comprend pas dans quel ordre je dois faire les choses.

    Je pensais installer geosource et tout ses somposants sur le meme serveur que la base oracle,
    puis configurer le fichier config.xml en ouvrant la connexion a la base oracle (resource enable="true" ...)

    Mais j'ai plusieurs questions :
    Dois-je creer une base au prealable dans oracle ou est-ce que je peux me connecter directement à celle qui existe sur le serveur?

    dois-je installer JDBC oracle driver et si oui quelle version? et quel fichier .jar prendre? (il y en a tellement)

    Si j'utilise oracle je crois avoir lu que je dois configurer la connexion JNDI avec le port de mon serveur est-ce vrai?

    Suis-je oblige d utiliser tomcat? je ne sais quel serveur web http a ete installe sur le serveur mais je pense que c apache car il a ete installer avec le package map server qui est aussi sur ce serveur. Comment puis-je le savoir?

    Et j avoue qu après cette partie de l installation je suis completement pommée.
    (doc source install: http://www.geosource.fr/docs/admin/a...config-db-jndi)
    Jusque là j avais a preu pres suivit la manip mais je ne sais pas version de qui et de quoi prendre ni quoi installer.
    Et puis apres c est pire...
    A quoi sert de configurer les vues en mode edition? qu'est-ce que cela changera?
    Mais le plus important je pense aujourd'hui ce sont les relations entre version je suis perdu car je ne connait pas les relations entre les differentes version a telecharger. Par exemple quelle version de java run environnement, quelle version d apache, quelle version de oracle driver JDBC tout ça pour la version 2.11.0 de geosource.


    Je pense que mon plus gros soucis n'est pas vraiment les manip.

    Ensuite le guide instal me dit d executer l'installeur mais ceci je l'ai fait au départ pour pouvoir avoir acces aux fichiers config.xml donc je suis perdu.

    Et deniere question comme dit precedemment je pense que c apache qui sera installer sur le serveur, je pense meme que c est un serveur virtuel mais j'en saurais plus mardi, mais comment changer l'adresse IP de mon serveur est-ce dans le repertoire apache.xml du serveur apache installer via map server.
    Et puis je crois même que je suis obliger de mettre à jour les Xlinks puisque je ne suis pas sur localhost 8080 mais sur un serveur avec une autre adresse IP.
    Tout ca me parait tres compliquer en tout cas trop pour moi.

    Alors voila si quelqu un a du temps a me consacrer pour regler cette installation je suis preneuse car c est un bel outil et je pense que pour l instant ca sera un geocat en local mais dans l'avenir il pourrait s etendre a d autre organismes public et de ce fait creer et enrichir une banque de donnee pour un departement entier, c est un beau projet, alors c est pourquoi je n abandonne pas geosource tout de suite mais j ai vraiment besoin d un coup de main.

    MERCI par avance de l aide que vous pourrez m apporter.

 

 

Discussions similaires

  1. [QGIS 1.x] Problème installation
    Par valdorant dans le forum Assistance et Programmation
    Réponses: 6
    Dernier message: 09/09/2013, 15h46
  2. [Geosource 2.7.0] Problème d'installation
    Par Sylvain265 dans le forum Assistance Technique
    Réponses: 12
    Dernier message: 11/05/2011, 14h37
  3. [GvSIG 1.x] Problème d'installation?!
    Par Magali42 dans le forum Assistance et Programmation
    Réponses: 5
    Dernier message: 19/11/2010, 10h29
  4. [KaMap] Problème a l'installation de ka-map
    Par papaya dans le forum Assistance et Programmation
    Réponses: 0
    Dernier message: 21/08/2009, 17h46
  5. [Inkscape 0.46] Problème d'installation
    Par AST dans le forum Assistance Technique
    Réponses: 5
    Dernier message: 10/07/2008, 10h58

Les tags pour cette discussion

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •